/*
Copyright (C) 2017 Belledonne Communications SARL

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef _LINPHONE_MAGIC_SEARCH_LISTENER_HH
#define _LINPHONE_MAGIC_SEARCH_LISTENER_HH

#include "object.hh"






namespace linphone {

	class MagicSearch;
	class Ldap;

	/**
	 *
	 */
	class MagicSearchListener: public Listener {
	
		public:


	
		public:
			
		
			/**
			 * @brief Callback used to notify when results are received. 
			 *
			 * @param magicSearch LinphoneMagicSearch object    
			 */
			LINPHONECXX_PUBLIC virtual void onSearchResultsReceived(const std::shared_ptr<linphone::MagicSearch> & magicSearch) {};
			
			/**
			 * @brief Callback used to notify when LDAP have more results available. 
			 *
			 * @param ldap LinphoneLdap object    
			 */
			LINPHONECXX_PUBLIC virtual void onLdapHaveMoreResults(const std::shared_ptr<linphone::MagicSearch> & magicSearch, const std::shared_ptr<linphone::Ldap> & ldap) {};
			
			
	};

};

#endif // _LINPHONE_MAGIC_SEARCH_LISTENER_HH
